#include "skk-key.h"
#include <gdk/gdkkeysyms.h>

int skk_begin_conv(GdkEventKey *key)
{
  return key->keyval == ' ';
}

int skk_next_candidate(GdkEventKey *key)
{
  return key->keyval == ' ';
}

int skk_off_key(GdkEventKey *key)
{
  if ((key->keyval == GDK_Escape || key->keyval == GDK_Zenkaku_Hankaku) && 
      key->state == GDK_MOD1_MASK) {
    return 1;
  }
  if (key->state == GDK_SHIFT_MASK && key->keyval == GDK_space) {
    return 1;
  }
  if (key->keyval == GDK_l) {
    return 1;
  }
  return 0;
}

int skk_on_key(GdkEventKey *key)
{
  if ((key->keyval == GDK_Escape || key->keyval == GDK_Zenkaku_Hankaku) && 
      key->state == GDK_MOD1_MASK) {
    return 1;
  }
  if (key->state == GDK_SHIFT_MASK && key->keyval == GDK_space) {
    return 1;
  }
  if (key->state == GDK_CONTROL_MASK && key->keyval == GDK_j) {
    return 1;
  }
  return 0;
}

int skk_commit(GdkEventKey *key)
{
  if (key->state == GDK_CONTROL_MASK && key->keyval == GDK_j) {
    return 1;
  }
  return 0;
}

int skk_latin(GdkEventKey *key)
{
  if (key->keyval == GDK_l) {
    return 1;
  }
  return 0;
}

int skk_wide_latin(GdkEventKey *key)
{
  if (key->keyval == GDK_L) {
    return 1;
  }
  return 0;
}

int skk_kana_toggle(GdkEventKey *key)
{
  if (key->keyval == GDK_q) {
    return 1;
  }
  return 0;
}

int skk_cancel(GdkEventKey *key)
{
  if (key->state == GDK_CONTROL_MASK &&
      key->keyval == GDK_g) {
    return 1;
  }
  return 0;
}

int skk_backspace(GdkEventKey *key)
{
  if (key->state == GDK_CONTROL_MASK &&
      key->keyval == GDK_h) {
    return 1;
  }
  return 0;
}
